## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExceptionFunctionNotAvailable Class Reference

Exception class thrown when an unknown function is encountered. More...

`#include <XPathFunctionTable.hpp>`

Inheritance diagram for XPathExceptionFunctionNotAvailable

Collaboration diagram for XPathExceptionFunctionNotAvailable:

List of all members.

## Public Types

- typedef Function::LocatorType LocatorType

## Public Methods

- XPathExceptionFunctionNotAvailable (int theFunctionNumber)
- XPathExceptionFunctionNotAvailable (const XalanDOMString& theFunctionName)
- XPathExceptionFunctionNotAvailable ( int theFunctionNumber, const LocatorType& theLocator)
- XPathExceptionFunctionNotAvailable ( const XalanDOMString& theFunctionName, const LocatorType& theLocator)
- ~XPathExceptionFunctionNotAvailable ()

## Detailed Description

Exception class thrown when an unknown function is encountered.

## Member Typedef Documentation

typedef Function::LocatorType XPathExceptionFunctionNotAvailable::LocatorType

## Constructor & Destructor Documentation

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | int theFunctionNumber )

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | const XalanDOMString & theFunctionName )

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | int theFunctionNumber,
| const LocatorType & theLocator )

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | const XalanDOMString & theFunctionName,
| const LocatorType & theLocator )

XPathExceptionFunctionNotAvailable::~XPathExceptionFunctionNotAvailable ( | )

The documentation for this class was generated from the following file:

- XPathFunctionTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.